import { CDPSession, Protocol } from 'puppeteer';
import { PuppeteerExtra, PuppeteerExtraPlugin } from 'puppeteer-extra';
import { DriverParameters } from './Driver';
import { FakeBrowser } from './FakeBrowser';
export declare class PptrPatcher {
    static patch(browserUUID: string, pptr: PuppeteerExtra, params: DriverParameters): Promise<void>;
    private static patchUserActionLayer;
    private static patchLast;
    /**
     * Package evasions to js string for worker to use
     * @param browser
     * @param jsContent
     * @param additionalPlugins
     */
    static patchWorkerJsContent(browser: FakeBrowser, jsContent: string, additionalPlugins?: Array<PuppeteerExtraPlugin>): Promise<string>;
    static evasionsCode(browser: FakeBrowser, additionalPlugins?: Array<PuppeteerExtraPlugin>): Promise<string>;
    static patchServiceWorkerRequest(browser: FakeBrowser, requestId: Protocol.Network.RequestId, request: Protocol.Network.Request, responseHeaders: Protocol.Fetch.HeaderEntry[], client: CDPSession): Promise<boolean>;
}
//# sourceMappingURL=PptrPatcher.d.ts.map